| BSL430.NET 1.3.4

Public Member Functions | Properties | List of all members
BSL430_NET.Comm.FTDI_Device Class Reference

FTDI Device node extends generic Bsl430NetDevice. Use requires D2XX library (FTD2XX.dll or libftd2xx.so) and driver installed (ftdibus.sys). More...

Inheritance diagram for BSL430_NET.Comm.FTDI_Device:

## Public Member Functions
| FTDI_Device (int Vid, int Pid, string Type, string Serial, string Name, string Desc, string Fulldesc, Mode Mode)
| FTDI_Device constructor. More...
| FTDI_Device ()
| FTDI_Device parameterless constructor for serialization. More...
override string | ToString ()
| Short string general information about this device. More...
Public Member Functions inherited from BSL430_NET.Bsl430NetDevice
| Bsl430NetDevice ()
| Bsl430NetDevice constructor More...
| Bsl430NetDevice (Bsl430NetDevice Dev)
| Bsl430NetDevice copy constructor More...
| Bsl430NetDevice (string DeviceName)
| Bsl430NetDevice constructor More...
| Bsl430NetDevice (string DeviceName, string Description, string FullDesc, Mode Mode, string Kind)
| Bsl430NetDevice constructor More...
override string | ToString ()
| FormattedDescription of current device. More...

## Properties
int | Vid`[get, set]`
| FTDI device VID eg. VID: 0x0403. More...
int | Pid`[get, set]`
| FTDI device PID eg. 0x6001. More...
string | Type`[get, set]`
| FTDI device type eg. FT232R. More...
string | Serial`[get, set]`
| FTDI device serial number. More...
Properties inherited from BSL430_NET.Bsl430NetDevice
string | Name = ""`[get, set]`
| Name is unique string that serves as main key to handle devices in this library eg. COM1, FTDI2, libtfi3, USB4 .. More...
string | Description = ""`[get, set]`
| Device description. More...
string | Kind = ""`[get, set]`
| Device kind. [FTDI, libftdi, COM (Serial), USB] More...
string | FormattedDescription = ""`[get, set]`
| Device general formated description eg. 'V/PID: 1234-5678 [Dev1] SN: 0123456' More...
Mode | Mode = Mode.UART_Serial`[get, set]`
| Device mode. More...

## Detailed Description

FTDI Device node extends generic Bsl430NetDevice. Use requires D2XX library (FTD2XX.dll or libftd2xx.so) and driver installed (ftdibus.sys).

## Constructor & Destructor Documentation

## ◆ FTDI_Device() [1/2]

BSL430_NET.Comm.FTDI_Device.FTDI_Device | ( | int | Vid,
|  | int | Pid,
|  | string | Type,
|  | string | Serial,
|  | string | Name,
|  | string | Desc,
|  | string | Fulldesc,
|  | Mode | Mode
| ) |  |

FTDI_Device constructor.

## ◆ FTDI_Device() [2/2]

BSL430_NET.Comm.FTDI_Device.FTDI_Device | ( |  | ) |

FTDI_Device parameterless constructor for serialization.

## Member Function Documentation

## ◆ ToString()

override string BSL430_NET.Comm.FTDI_Device.ToString | ( |  | ) |

Short string general information about this device.

## Property Documentation

## ◆ Pid

int BSL430_NET.Comm.FTDI_Device.Pid
| get set

FTDI device PID eg. 0x6001.

## ◆ Serial

string BSL430_NET.Comm.FTDI_Device.Serial
| get set

FTDI device serial number.

## ◆ Type

string BSL430_NET.Comm.FTDI_Device.Type
| get set

FTDI device type eg. FT232R.

## ◆ Vid

int BSL430_NET.Comm.FTDI_Device.Vid
| get set

FTDI device VID eg. VID: 0x0403.

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/CommFTD2XX.cs